org.apache.maven.artifact.resolver.filter

## Class TypeArtifactFilter

- java.lang.Object
- - org.apache.maven.artifact.resolver.filter.TypeArtifactFilter

- All Implemented Interfaces:
    ArtifactFilter

      public class TypeArtifactFilter
      extends java.lang.Object
      implements ArtifactFilter

  Artifact Filter which filters on artifact type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeArtifactFilter(java.lang.String type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `include(Artifact artifact)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeArtifactFilter

          public TypeArtifactFilter(java.lang.String type)

  - ### Method Detail

    - #### include

          public boolean include(Artifact artifact)

      Specified by:
        `include` in interface `ArtifactFilter`